cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/invoices \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"invoices": [
{
"balances": [
{
"amount": 123
}
],
"invoice_id": "<string>",
"invoice_items": [
{
"cluster": {
"account_id": "",
"cloud_provider": "GCP",
"cockroach_version": "v21.2.4",
"config": {
"serverless": {
"routing_id": "example-cluster-1533",
"spend_limit": 0
}
},
"created_at": "2022-03-22T20:23:11.285067Z",
"creator_id": "7cde0cd9-0d8a-4008-8f90-45092ce8afc1",
"deleted_at": null,
"id": "35c4abb2-bb66-46d7-afed-25ebef5ed2aa",
"name": "example-cluster",
"operation_status": "CLUSTER_STATUS_UNSPECIFIED",
"plan": "SERVERLESS",
"regions": [
{
"name": "us-central1",
"node_count": 0,
"sql_dns": "free-tier7.gcp-us-central1.crdb.io",
"ui_dns": ""
}
],
"state": "CREATED",
"updated_at": "2022-03-22T20:23:11.879593Z",
"upgrade_status": "USING_LATEST"
},
"line_items": [
{
"description": "<string>",
"quantity": 123,
"total": {
"amount": 123
},
"unit_cost": 123
}
],
"totals": [
{
"amount": 123
}
]
}
],
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"totals": [
{
"amount": 123
}
],
"adjustments": [
{
"amount": {
"amount": 123
},
"name": "<string>"
}
]
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List invoices for a given organization
Sort order: invoice start date ascending
GET
/
api
/
v1
/
invoices
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/invoices \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"invoices": [
{
"balances": [
{
"amount": 123
}
],
"invoice_id": "<string>",
"invoice_items": [
{
"cluster": {
"account_id": "",
"cloud_provider": "GCP",
"cockroach_version": "v21.2.4",
"config": {
"serverless": {
"routing_id": "example-cluster-1533",
"spend_limit": 0
}
},
"created_at": "2022-03-22T20:23:11.285067Z",
"creator_id": "7cde0cd9-0d8a-4008-8f90-45092ce8afc1",
"deleted_at": null,
"id": "35c4abb2-bb66-46d7-afed-25ebef5ed2aa",
"name": "example-cluster",
"operation_status": "CLUSTER_STATUS_UNSPECIFIED",
"plan": "SERVERLESS",
"regions": [
{
"name": "us-central1",
"node_count": 0,
"sql_dns": "free-tier7.gcp-us-central1.crdb.io",
"ui_dns": ""
}
],
"state": "CREATED",
"updated_at": "2022-03-22T20:23:11.879593Z",
"upgrade_status": "USING_LATEST"
},
"line_items": [
{
"description": "<string>",
"quantity": 123,
"total": {
"amount": 123
},
"unit_cost": 123
}
],
"totals": [
{
"amount": 123
}
]
}
],
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"totals": [
{
"amount": 123
}
],
"adjustments": [
{
"amount": {
"amount": 123
},
"name": "<string>"
}
]
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
⌘I

